%define version 4.3.10
%define rversion 2.11.32

%define realname Debug
%define modname dbg
%define soname %{modname}.so
%define inifile 56_%{modname}.ini

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 2
Group:		System/Servers
License:	BSD
URL:		http://dd.cron.ru/dbg/
Source0:	http://prdownloads.sourceforge.net/dbg2/%{modname}-%{rversion}-src.tar.bz2
Source1:	http://prdownloads.sourceforge.net/dbg2/dbg-cli-%{rversion}-src.tar.bz2
Requires:	php432
BuildRequires:  php432-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

The DBG Php Debugger is a comprehensive software tool that helps you
debugging your php scripts. It may work with your production or
development WEB server remotely or locally.

%prep

%setup -q -n %{modname}-%{rversion} -a1

# fix strange attribs
find . -type f | xargs chmod 644

%build

phpize
%configure2_5x \
    --enable-dbg \
    --with-dbg-profiler \
    --with-php-config=%{_bindir}/php-config

%make
mv modules/*.so .

pushd dbg_client-%{rversion}
export WANT_AUTOCONF_2_5="1"
rm -f configure
libtoolize --copy --force && aclocal-1.7 -I config && autoheader && automake-1.7 --add-missing --copy && autoconf
%configure2_5x
%make
popd


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[Debugger]
;zend_extension = `php-config --extension-dir`/dbg.so

debugger.enabled = true
debugger.profiler_enabled = true
debugger.JIT_host = clienthost
debugger.JIT_port = 7869

EOF

install -d %{buildroot}%{_bindir}
install -m0755 dbg_client-%{rversion}/dbg/dbg-cli %{buildroot}%{_bindir}/
cp dbg_client-%{rversion}/README README.dbg_client

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%attr(0755,root,root) %{_bindir}/dbg-cli

%changelog
* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_2.11.32-2mdk
- use the %%mkrel macro

* Wed Mar 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_2.11.32-1mdk
- 2.11.32
- added the dbg-cli stuff

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_2.11.23-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_2.11.23-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_2.11.23-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_2.11.23-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_2.11.23-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.11.23-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.11.23-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.11.23-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.11.23-1mdk
- 2.11.23
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_2.11.5-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.11.5-1mdk
- built for php 4.3.3
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.11.5-1mdk
- built for 4.3.2

* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.11.5-1mdk
- fix the php versioning
- misc spec file fixes

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.11.5-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.11.5-2mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.11.5-1mdk
- built against php-4.3.0
- 2.11.5
- follow the spec file design as in main

* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3 maintenance release
- Do not reload apache

* Thu Aug 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-1mdk
- Rebuild for 4.2.2
- Macroize a bit more, make version depend on "php -v"

* Fri Jun 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-1mdk
- initial cooker contrib

